org.apache.http.io

## Interface HttpMessageParser<T extends HttpMessage>

- Type Parameters:
    `T` - `HttpMessage` or a subclass
  All Known Implementing Classes:
    AbstractMessageParser, DefaultHttpRequestParser, DefaultHttpResponseParser, HttpRequestParser, HttpResponseParser

      public interface HttpMessageParser<T extends HttpMessage>

  Abstract message parser intended to build HTTP messages from an arbitrary data source.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `parse()` Generates an instance of `HttpMessage` from the underlying data source.

- - ### Method Detail

    - #### parse

          T parse()
                                      throws IOException,
                                             HttpException

      Generates an instance of `HttpMessage` from the underlying data source.
      Returns:
        HTTP message
      Throws:
        `IOException` - in case of an I/O error
        `HttpException` - in case of HTTP protocol violation

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.